﻿namespace Ato.CD.Inbound.CTR202002
{
    public class Schedule
    {
        private readonly string _name;

        private Schedule(string name)
        {
            _name = name;
        }

        public static Schedule CGLS => new Schedule("CGLS");
        public static Schedule CGNFT => new Schedule("CGNFT");
        public static Schedule CGTS => new Schedule("CGTS");
        public static Schedule DIS => new Schedule("DIS");
        public static Schedule IDS => new Schedule("IDS");
        public static Schedule IEE => new Schedule("IEE");
        public static Schedule LS => new Schedule("LS");
        public static Schedule PSS => new Schedule("PSS");
        public static Schedule RDTIS => new Schedule("RDTIS");
        public static Schedule RPTTAXPOS => new Schedule("RPTTAXPOS");
        public override string ToString()
        {
            return _name;
        }
    }
}
